Projet

Général

Profil

Task - Tâche #1774

[9.08] Firefox 7.0

Ajouté par Eric Seigne il y a environ 11 ans. Mis à jour il y a environ 11 ans.

Statut:
Fixed - Corrigé - Implémenté
Priorité:
Paquets
Assigné à:
Stéphane Hays
Version cible:
Début:
11/11/2011
Echéance:
% réalisé:

100%


Description

Firefox 7.0 pour jaunty ... ça c'est un peu plus compliqué mais je fais une tentative pour voir.


Demandes liées

Lié à AbulÉdu - Task - Tâche #1599: Firefox 6.0 Rejected - Rejeté 31/08/2011

Historique

#1 Mis à jour par Eric Seigne il y a environ 11 ans

  • % réalisé changé de 0 à 90

Les paquets sont faits, reste à passer un petit coup de polish et a les valider ...

#2 Mis à jour par Eric Seigne il y a environ 11 ans

En fait je me suis complètement planté, j'ai fait tout le boulot dans un LXC ... lucid au lieu de jaunty !!!

Bref, j'ai tout relancé sur un véritable LXC jaunty, le debuild plante et je continue à la mano; astuces du soir:

dh_install: firefox-mozsymbols missing files (build-tree/mozilla//obj-i486-linux-gnu//dist/*symbols.zip), aborting
  • cd /root/backports/firefox-7.0.1+build1+nobinonly/build-tree/mozilla/obj-i486-linux-gnu
  • make -j8
  • make -j8 buildsymbols
  • cd /root/backports/firefox-7.0.1+build1+nobinonly/
  • debian/rules binary

#3 Mis à jour par Eric Seigne il y a environ 11 ans

Ça y est j'ai les paquets binaires qui sont prêts à être testés, stéphane tu me fais signe demain ?

Éric

#4 Mis à jour par Eric Seigne il y a environ 11 ans

Pour archives, quand je suis tombé sur le bug suivant j'ai supprimé la création des paquets -dbg dans le debian/control, de ce que j'ai pu lire sur le web ça m'a fait imaginer à une sorte de bug/incompatibilité entre binutils (objcopy) et ... j'ai testé de ne pas faire les paquets -dbg, ça marche c'est bon, personne n'installe les paquets dbg de tt façon

objcopy:debian/firefox/usr/lib/firefox-7.0.1/stygKzYd: cannot create debug link section `debian/firefox-dbg/usr/lib/debug//usr/lib/firefox-7.0.1/libnssckbi.so': Invalid operation
  • emacs debian/control (supprime les paquets dbg)
  • debian/rules binary

#5 Mis à jour par Eric Seigne il y a environ 11 ans

À tester, dispo sur le dépot apt suivant

deb http://aptupload.ryxeo.com/jaunty-firefox/ ./

dès que c'est validé on synchronisera les serveurs pour que les clients fassent référence à apt.ryxeo.com (et non seul aptupload).

adblock+ et flashbock semblent ne pas marcher, c'est problématique mais pas bloquant pour déployer la version 7.0 sur nos clients.

#6 Mis à jour par Stéphane Hays il y a environ 11 ans

  • Assigné à changé de Eric Seigne à Stéphane Hays
  • Priorité changé de Normale à Paquets

#7 Mis à jour par Stéphane Hays il y a environ 11 ans

  • Statut changé de Assigned - En cours à Pending - En attente

#8 Mis à jour par Eric Seigne il y a environ 11 ans

  • Sujet changé de Firefox 7.0 à [9.08] Firefox 7.0

#9 Mis à jour par Sylvain Hitier il y a environ 11 ans

Testé en client léger et en client lourd.

Testé une applet java:
http://www.lirmm.fr/~ferber/Java/Compteurs/compteurs.html

Attention, le paquet flashplugin-installer qui télécharge depuis Canonical doit passer par le proxy:
http_proxy='http://servproxy:3128/' apt-get install flashplugin-nonfree

#10 Mis à jour par Sylvain Hitier il y a environ 11 ans

ARgh, pourquoi ça ne veut plus marcher sur le serveur pour que le client lourd l'utilise???

sudo apt-get install firefox

firefox: Dépend: libnspr4-0d (>= 4.8.6) mais 4.7.5-0ubuntu0.9.04.1 devra être installé
Dépend: libnss3-1d (>= 3.12.6) mais 3.12.3.1-0ubuntu0.9.04.2 devra être installé
Recommande: ubufox mais il n'est pas installable

#11 Mis à jour par Sylvain Hitier il y a environ 11 ans

Ça marche pour client léger!
Penser à installer firefox-locale-fr

  • Java marche
  • on laisse tomber Flash

Le serveur 9.08 doit être à jour pour pouvoir passer à Firefox 7

Version pas à jour:

3.0.8+nobinonly-0ubuntu3

Version pas à jour:

3.0.19+nobinonly-0ubuntu0.9.04.1

Version à jour:

ii  firefox                                     3.6.11+build3+nobinonly-0ubuntu0.9.04.1     safe and easy web browser from Mozilla
ii  firefox-3.0                                 3.6.11+build3+nobinonly-0ubuntu0.9.04.1     dummy upgrade package for firefox-3.0 -> firefox
ii  firefox-3.0-branding                        3.6.11+build3+nobinonly-0ubuntu0.9.04.1     dummy upgrade package for firefox-3.0 -> firefox
ii  firefox-3.0-gnome-support                   3.6.11+build3+nobinonly-0ubuntu0.9.04.1     dummy upgrade package for firefox-3.0 -> firefox
ii  firefox-branding                            3.6.11+build3+nobinonly-0ubuntu0.9.04.1     Package that ships the firefox branding
ii  firefox-gnome-support                       3.6.11+build3+nobinonly-0ubuntu0.9.04.1     Support for GNOME in Mozilla Firefox

#12 Mis à jour par Sylvain Hitier il y a environ 11 ans

  • % réalisé changé de 90 à 100

#13 Mis à jour par Sylvain Hitier il y a environ 11 ans

  • Statut changé de Pending - En attente à Testé - validé

#14 Mis à jour par Eric Seigne il y a environ 11 ans

  • Statut changé de Testé - validé à Fixed - Corrigé - Implémenté

C'est ok, tout est publié pour les clients, dispo dans leur mise à jour.

Formats disponibles : Atom PDF

Redmine Appliance - Powered by TurnKey Linux